Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

FieldType/RichText/RichTextStorage/Gateway.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\FieldType\RichText\RichTextStorage;
8
9 use eZ\Publish\SPI\FieldType\StorageGateway;
10 use eZ\Publish\Core\FieldType\Url\UrlStorage\Gateway as UrlGateway;
11
18 abstract class Gateway extends StorageGateway
19 {
21 protected $urlGateway;
22
23 public function __construct(UrlGateway $urlGateway)
24 {
25 $this->urlGateway = $urlGateway;
26 }
27
37 abstract public function getContentIds(array $remoteIds);
38
48 public function getIdUrlMap(array $ids)
49 {
50 return $this->urlGateway->getIdUrlMap($ids);
51 }
52
62 public function getUrlIdMap(array $urls)
63 {
64 return $this->urlGateway->getUrlIdMap($urls);
65 }
66
74 public function insertUrl($url)
75 {
76 return $this->urlGateway->insertUrl($url);
77 }
78
86 public function linkUrl($urlId, $fieldId, $versionNo)
87 {
88 $this->urlGateway->linkUrl($urlId, $fieldId, $versionNo);
89 }
90
97 public function unlinkUrl($fieldId, $versionNo)
98 {
99 $this->urlGateway->unlinkUrl($fieldId, $versionNo);
100 }
101 }
eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway
Abstract gateway class for RichText type.
Definition: FieldType/RichText/RichTextStorage/Gateway.php:19
eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\unlinkUrl
unlinkUrl($fieldId, $versionNo)
Removes link to URL for $fieldId in $versionNo and cleans up possibly orphaned URLs.
Definition: FieldType/RichText/RichTextStorage/Gateway.php:97
eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\$urlGateway
$urlGateway
Definition: FieldType/RichText/RichTextStorage/Gateway.php:21
eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\getIdUrlMap
getIdUrlMap(array $ids)
Returns a list of URLs for a list of URL ids.
Definition: FieldType/RichText/RichTextStorage/Gateway.php:48
eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\getUrlIdMap
getUrlIdMap(array $urls)
Returns a list of URL ids for a list of URLs.
Definition: FieldType/RichText/RichTextStorage/Gateway.php:62
eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\__construct
__construct(UrlGateway $urlGateway)
Definition: FieldType/RichText/RichTextStorage/Gateway.php:23
eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\getContentIds
getContentIds(array $remoteIds)
Returns a list of Content ids for a list of remote ids.
eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\linkUrl
linkUrl($urlId, $fieldId, $versionNo)
Creates link to URL with $urlId for field with $fieldId in $versionNo.
Definition: FieldType/RichText/RichTextStorage/Gateway.php:86
eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\insertUrl
insertUrl($url)
Inserts a new $url and returns its id.
Definition: FieldType/RichText/RichTextStorage/Gateway.php:74
eZ\Publish\Core\FieldType\RichText\RichTextStorage
Definition: RichTextStorage.php:19
eZ\Publish\SPI\FieldType\StorageGateway
Base class for FieldType external storage gateways.
Definition: SPI/FieldType/StorageGateway.php:13
eZ\Publish\Core\FieldType\Url\UrlStorage\Gateway
Definition: Url/UrlStorage/Gateway/DoctrineStorage.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.